package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpSupplierScoreRule对象",
   description = "供应商评分规则表"
)
public class DrpSupplierScoreRule {
   @ApiModelProperty("评分规则id")
   private Long ruleId;
   @ApiModelProperty("评分规则名称")
   private String ruleName;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("设定分数")
   private BigDecimal setScore;
   @ApiModelProperty("规则类型(1交货及时率，2产品合格率，3公司资质认证，4注册资金，5上一年度营业额，6员工数，7订单数量，8订单金额)")
   private Integer ruleType;
   @ApiModelProperty("删除标识(1正常2删除)")
   private Integer delFlag;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getRuleId() {
      return this.ruleId;
   }

   public String getRuleName() {
      return this.ruleName;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public BigDecimal getSetScore() {
      return this.setScore;
   }

   public Integer getRuleType() {
      return this.ruleType;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpSupplierScoreRule setRuleId(final Long ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public DrpSupplierScoreRule setRuleName(final String ruleName) {
      this.ruleName = ruleName;
      return this;
   }

   public DrpSupplierScoreRule setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }

   public DrpSupplierScoreRule setSetScore(final BigDecimal setScore) {
      this.setScore = setScore;
      return this;
   }

   public DrpSupplierScoreRule setRuleType(final Integer ruleType) {
      this.ruleType = ruleType;
      return this;
   }

   public DrpSupplierScoreRule setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public DrpSupplierScoreRule setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpSupplierScoreRule setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpSupplierScoreRule setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpSupplierScoreRule setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }


   public String toString() {
      Long var10000 = this.getRuleId();
      return "DrpSupplierScoreRule(ruleId=" + var10000 + ", ruleName=" + this.getRuleName() + ", areaId=" + this.getAreaId() + ", setScore=" + String.valueOf(this.getSetScore()) + ", ruleType=" + this.getRuleType() + ", delFlag=" + this.getDelFlag() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
